Package org.bukkit.event.block

# Class BlockFertilizeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockFertilizeEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockFertilizeEvent extends BlockEvent implements Cancellable
Called with the block changes resulting from a player fertilizing a given block with bonemeal. Will be called after the applicable `StructureGrowEvent`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockFertilizeEvent(@NotNull Block theBlock, @Nullable Player player, @NotNull List<BlockState> blocks)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<BlockState>`
`getBlocks()`
Gets a list of all blocks changed by the fertilization.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Player`
`getPlayer()`
Gets the player that triggered the fertilization.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockFertilizeEvent

public BlockFertilizeEvent(@NotNull @NotNull Block theBlock, @Nullable @Nullable Player player, @NotNull @NotNull List<BlockState> blocks)

## Method Details

### getPlayer

@Nullable public @Nullable Player getPlayer()
Gets the player that triggered the fertilization.

Returns:
  triggering player, or null if not applicable

### getBlocks

@NotNull public @NotNull List<BlockState> getBlocks()
Gets a list of all blocks changed by the fertilization.

Returns:
  list of all changed blocks

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()